
Foreman - Bug #11688

Syntax highlighting defaults to text when editing provisioning templates

09/04/2015 04:59 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Templates   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2697

  

Description

Since #11625, the default syntax highlighting for a provisioning template is now "text" rather than "ruby", which it used to be.  Most

provisioning templates contain either Ruby (ERB) or shell scripts, so either ruby or sh highlighting would be reasonable defaults I

think.

Or if we don't want to change the default, perhaps a cookie could be used to remember the user's choice.

Related issues:

Related to Foreman - Refactor #11625: Make foreman ace editor reusable Closed 08/31/2015

Associated revisions

Revision a265235e - 09/10/2015 02:28 PM - Walden Raines

Fixes #11688: default text editor to ruby.

Instead of defaulting to text, default to ruby syntax highlighting.

http://projects.theforeman.org/issues/11688

History

#1 - 09/04/2015 04:59 AM - Dominic Cleal

- Related to Refactor #11625: Make foreman ace editor reusable added

#2 - 09/04/2015 05:08 AM - Lukas Zapletal

Would be nice to have this per template type.

#3 - 09/04/2015 05:56 AM - Dominic Cleal

Lukas Zapletal wrote:

Would be nice to have this per template type.

 Yeah, that makes a lot of sense with say, a cloud-init template which is usually YAML.

#4 - 09/09/2015 11:23 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2697 added

- Pull request deleted ()

#5 - 09/09/2015 11:23 AM - Walden Raines

- Assignee set to Walden Raines

#6 - 09/10/2015 11:05 AM - Dominic Cleal
Lukas Zapletal wrote:

Would be nice to have this per template type.

 Filed as #11772.

#7 - 09/10/2015 03:02 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a265235eab649fa76e942205ef4964579532ce72.
